Redmine - Defect #9660

Issues counters in roadmap only link to issues in the same project
2011-11-25 02:04 - Sridhar Dhanapalan

Status: Closed Start date: 2011-11-25
Priority: Normal Due date:

Assignee: Jean-Philippe Lang % Done: 0%
Category: Roadmap Estimated time: 0.00 hour
Target version: 2.6.0

Resolution: Fixed Affected version: 1.2.0
Description

Steps to reproduce
1. in a project, create a new version with sharing set with all projects
2. add issues from different projects to the version
3. go to the version summary page, e.g. /versions/show/42

4. notice the counters of closed and open projects, just below the progress bar — the numbers are correct
5. click on one of the counters to be taken to the list

Expected behaviour

The full list open/closed issues in the project is shown.

Actual behaviour

Only the matching issues in the same project are shown. Others are omitted.
Workaround

Manually edit the URL: change /projects/projectname/issues? to just /issues?.
Server information

OS: Ubuntu 10.04.3 LTS

Database: mysql-common-5.1.41-3ubuntu12.10

Ruby: ruby1.8-1.8.7.249-2
Redmine: 1.2.0.stable.6069

Associated revisions

Revision 13398 - 2014-09-14 11:41 - Jean-Philippe Lang

Fixed: Issues counters in roadmap only link to issues in the same project (#9660).

Contributed by Sridhar Dhanapalan.

History

#1 - 2011-11-25 23:35 - Jean-Philippe Lang

- Subject changed from closed/open issues counters in version summary only link to issues in the same project to Issues counters in roadmap only link
to issues in the same project

- Category set to Roadmap

#2 - 2011-11-29 09:48 - Etienne Massip
- Status changed from New to Confirmed

- Target version set to Candidate for next minor release

| do confirm there is something wrong, but the answer is not that simple.

Notes:
e This issue most basic behavior is due to the use of version.project for 'Shared with all projects' versions; adding a version.top_project returning
nil for this kind of version sharing might be a lead

¢ The version issue list is not exactly the same in version/show and version/index (a.k.a. Roadmap), | guess because of Display subproject issues
administration setting

e This setting could be implemented another way in issue list with a Subproject filter set to none by default

#3 - 2014-05-13 15:28 - Danil Tashkinov
- File fixed_roadmap_links.diff added

Hi! We solve this problem by simple patch.

#4 - 2014-06-12 05:37 - Toshi MARUYAMA

- Target version changed from Candidate for next minor release to 2.6.0

#5 - 2014-09-14 11:42 - Jean-Philippe Lang
- Status changed from Confirmed to Closed
- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Patch committed in r13398 with slight changes: helper method renamed and moved to VersionHelper, thanks.

Files

fixed_roadmap_links.diff 5.37 KB 2014-05-13 Danil Tashkinov
